<?php
//扩展队列表字段
DcConfigMerge('custom_fields.term_meta', [
    'term_image'       => ['filter'=>'common','order'=>51,'type'=>'image'],
    'term_title'       => ['filter'=>'common','order'=>61],
    'term_keywords'    => ['filter'=>'common','order'=>71],
    'term_description' => ['filter'=>'common','order'=>81],
]);

//扩展内容表字段
DcConfigMerge('custom_fields.info_meta', [
    'info_keywords',
    'info_description',
    'info_color',
    'info_cover',
    'info_image',
    'info_slide',
    'info_up',
    'info_down',
    'info_referer',
    'info_letter',
    'info_tpl',
    'article_top',
    'article_recommend',
    'article_fast',
    'article_head',
]);

//扩展后台菜单
DcConfigMerge('admin_menu.system', [
    [
        'ico'      => 'fa fa-fw fa-link',
        'title'    => 'cms_friend_index',
        'target'   => '_self',
        'module'   => 'cms',
        'controll' => 'friend',
        'action'   => 'index',
        'order'    => 502,
        'url'      => DcUrlAddon( ['module'=>'cms','controll'=>'friend','action'=>'index','active'=>'system'] )
    ],
]);

//扩展插件菜单
DcConfigMerge('admin_menu.addon', [
    [
        'menu_ico'    => 'fa-file-text',
        'menu_title'  => 'cms_menu_title',
        'menu_module' => 'cms',
        'menu_items'  => [
            [
                'ico'      => 'fa-list',
                'title'    => 'cms_article_index',
                'target'   => '_self',
                'controll' => 'article',
                'action'   => 'index',
                'order'    => 1,
                'url'      => DcUrlAddon( ['module'=>'cms','controll'=>'article','action'=>'index'] )
            ],
            [
                'ico'      => 'fa-edit',
                'title'    => 'cms_article_create',
                'target'   => '_self',
                'controll' => 'article',
                'action'   => 'create',
                'order'    => 11,
                'url'      => DcUrlAddon( ['module'=>'cms','controll'=>'article','action'=>'create'] )
            ],
            [
                'ico'      => 'fa fa-fw fa-clone',
                'title'    => 'cms_category_index',
                'target'   => '_self',
                'module'   => 'cms',
                'controll' => 'category',
                'action'   => 'index',
                'order'    => 21,
                'url'      => DcUrlAddon( ['module'=>'cms','controll'=>'category','action'=>'index'] )
            ],
            [
                'ico'      => 'fa-gear',
                'title'    => 'cms_admin_index',
                'target'   => '_self',
                'controll' => 'admin',
                'action'   => 'index',
                'order'    => 31,
                'url'      => DcUrlAddon( ['module'=>'cms','controll'=>'admin','action'=>'index'] )
            ],
            [
                'ico'      => 'fa fa-fw fa-navicon',
                'title'    => 'cms_navs_index',
                'target'   => '_self',
                'module'   => 'cms',
                'controll' => 'navs',
                'action'   => 'index',
                'order'    => 41,
                'url'      => DcUrlAddon( ['module'=>'navbar','controll'=>'admin','action'=>'index','term_module'=>'cms','active'=>'system'] )
            ],
        ]
    ]
]);

//应用初始配置
return [
    'cms' => [
        'theme'       => 'default',
        'theme_wap'   => 'default',  
    ]
];