{extend name="apps/common/view/front.tpl" /}
<!-- -->
{block name="header_meta"}
<title>{$term_title}</title>
<meta name="keywords" content="{$term_keywords}" />
<meta name="description" content="{$term_description}"  />
{/block}
{block name="header"}{include file="widget/header" /}{/block}
<!--main -->
{block name="main"}
<div class="container">
  <div class="row">
    <div class="col-12 col-md-9">
      <ol class="breadcrumb bg-white mb-2">
        <li class="breadcrumb-item"><a href="{:cmsUrl('cms/index/index','')}">首页</a></li>
        <li class="breadcrumb-item"><a href="{:cmsUrl('cms/index/categorys','')}">分类</a></li>
        <li class="breadcrumb-item active">{$term_name|DcHtml}</li>
      </ol>
      {volist name="data" id="article"}
       <div class="px-0 px-md-5 bg-white border-bottom">
        <div class="card-body">
          <h2 class="py-2">
            <a class="{$article.info_color|cmsColor}" href="{:articleUrl($article)}">{$article.info_name|DcHtml}</a>
          </h2>
          <p>
            {$article.info_create_time}
            {foreach name="article.category" item="category"}
              <a class="ml-1" href="{:articleUrlCategory($category)}">{$category.term_name}</a>
            {/foreach}
          </p>
          <p class="card-text">{$article.info_excerpt|DcHtml}</p>
          <p><a href="{:articleUrl($article)}">查看全文<i class="fa fa-angle-double-right mx-1"></i></a></p>
        </div>
      </div>
      {/volist}
      <div class="w-100 mb-2"></div>
      <!---->
      {gt name="last_page" value="1"}
      <div class="border bg-white pagesmall py-2 mb-2 d-md-none">{:DcPageSimple($current_page, $last_page, $path)}</div>
      <div class="border bg-white page py-2 mb-2 d-none d-md-block">{:DcPage($page, $per_page, $total, $path)}</div>
      {/gt}
      <div class="card rounded-0 mb-2">
        <div class="card-header bg-light h5"><a class="text-dark" href="{:cmsUrl('cms/index/views','')}">热门文章</a></div>
        <ul class="list-unstyled card-body px-5 mb-0">
          {volist name=":articleSelect(['status'=>'normal','limit'=>10,'term_id'=>$term_id,'sort'=>'info_views','order'=>'desc'])" id="article"}
          <li class="py-2"><a href="{:articleUrl($article)}">{$article.info_name|DcHtml}</a></li>
          {/volist}
        </ul>
      </div>
    </div>
    <div class="col-12 col-md-3">{include file="widget/sitebar" /}</div>
  </div>
</div>
{/block}
<!-- -->
{block name="footer"}{include file="widget/footer" /}{/block}