{extend name="apps/common/view/front.tpl" /}
<!-- -->
{block name="header_meta"}
<title>{$info_title}</title>
<meta name="keywords" content="{$info_keywords}" />
<meta name="description" content="{$info_description}"  />
<meta name="referrer" content="never">
{/block}
{block name="header"}{include file="widget/header" /}{/block}
<!--main -->
{block name="main"}
<div class="container">
  <div class="row">
    <div class="col-12 col-md-9">
      <ol class="breadcrumb bg-white mb-2">
        <li class="breadcrumb-item"><a href="{:cmsUrl('cms/index/index','')}">首页</a></li>
        <li class="breadcrumb-item active">{$info_name|DcHtml}</li>
      </ol>
      <div class="bg-white border-bottom px-0 px-md-5 mb-2">
        <div class="card-body">
          <h2 class="py-2">{$info_name|DcHtml}</h2>
          <p>{$info_create_time}
            {foreach name="category" item="item"}
              <a class="ml-1" href="{:articleUrlCategory($item)}">{$item.term_name}</a>
            {/foreach}
            {foreach name="tag" item="item"}
              <a class="ml-1" href="{:articleUrlTag($item)}">{$item.term_name}</a>
            {/foreach}
          </p>
          <section class="lead content mb-2">{$info_content|DcEditor}</section>
          <p class="lead">作者：{$user_name}</p>
          <p class="lead text-truncate">链接：{$info_share_url}</p>
          <p class="lead">来源：{:config('common.site_name')}</p>
          <p class="lead">著作权归作者所有。商业转载请联系作者获得授权，非商业转载请注明出处。</p>
        </div>
        <div class="d-inline d-md-flex justify-content-md-between">
          <p class="px-3 px-md-0">{volist name=":articlePrev($info_id)" id="article"}上一篇：<a href="{:articleUrl($article)}" title="{$article.info_name}">{$article.info_name|cmsSubstr=0,18}</a>{/volist}</p>
          <p class="px-3 px-md-0">{volist name=":articleNext($info_id)" id="article"}下一篇：<a href="{:articleUrl($article)}" title="{$article.info_name}">{$article.info_name|cmsSubstr=0,18}</a>{/volist}</p>
        </div>
      </div>
      <!---->
      <div class="card rounded-0 mb-2">
        <div class="card-header bg-light h5">热门文章</div>
        <ul class="list-unstyled card-body px-5 mb-0">
          {volist name=":articleSelect(['status'=>'normal','limit'=>10,'term_id'=>['in',$category_id],'sort'=>'info_views','order'=>'desc'])" id="article"}
          <li class="py-2"><a href="{:articleUrl($article)}">{$article.info_name|DcHtml}</a></li>
          {/volist}
        </ul>
      </div>
    </div>
    <div class="col-12 col-md-3">{include file="widget/sitebar" /}</div>
  </div>
</div>
{/block}
<!-- -->
{block name="footer"}{include file="widget/footer" /}{/block}